export declare function isValidDatabaseBackupName(filename: string): RegExpMatchArray | null;
export declare function isValidDatabaseRoutineBackupName(filename: string): RegExpMatchArray | null;
export declare function isFailedDatabaseBackupName(filename: string): RegExpMatchArray | null;
export declare function findDatabaseBackupVersion(filename: string): string | undefined;
export declare class UnsupportedPostgresError extends Error {
    constructor(databaseVersion: string);
}
